CSV export of the outcome history
const url = 'https://example.com/api/v1/decisions/export.csv?limit=50';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/api/v1/decisions/export.csv?limit=50'Admin only; the same filters as the JSON list, at most 10,000 rows.
Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”Responses
Section titled “Responses”One row per recorded outcome
Bad Request
Application/problem+json body. Extension members (for example job_id) are allowed.
object
One validation failure: where, what, and a stable machine code (never the input value).
object
Example
{ "type": "about:blank"}Unauthorized
Application/problem+json body. Extension members (for example job_id) are allowed.
object
One validation failure: where, what, and a stable machine code (never the input value).
object
Example
{ "type": "about:blank"}Forbidden
Application/problem+json body. Extension members (for example job_id) are allowed.
object
One validation failure: where, what, and a stable machine code (never the input value).
object
Example
{ "type": "about:blank"}Validation Error
object
object
object
Example generated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}Map data © OpenStreetMap contributors, under the Open Database Licence. Code under the Apache-2.0 licence. Made by Yogesh.
Changeset Second Opinion is an independent open source tool for OpenStreetMap reviewers. It is not endorsed by, sponsored by or affiliated with the OpenStreetMap Foundation. OpenStreetMap is a trademark of the OpenStreetMap Foundation, used under itstrademark policy.